package dnd;

/*
 * @(#)DnDTest.java        1.0 98/09/21
 *
 * Copyright 1998 by Rockhopper Technologies, Inc.,
 * 75 Trueman Ave., Haddonfield, New Jersey, 08033-2529, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Rockhopper Technologies, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with RTI.
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.event.*;
import javax.swing.*;
import javax.swing.text.*;
import java.awt.datatransfer.*;
import java.io.*;
import java.awt.dnd.*;

/**
  * File: DnDTest.java<br>
  * DnDTest
  * @author <A HREF="mailto:gene@rockhoppertech.com">Gene De Lisa</A>
  * @version 1.0 Sat Dec 12, 1998
  * @see java.lang.Object
  */
public class DnDTest extends JPanel {

    public DnDTest() {
        this.setLayout(new GridLayout(6, 1, 5, 5));

        DragLabel dragLabel = new DragLabel("C Drag from here", DnDConstants.ACTION_COPY);
        dragLabel.setName("Drag Label 1");
        dragLabel.setBackground(Color.white);
        dragLabel.setOpaque(true);
        dragLabel.addMouseListener(new MyMouseListener());
        add(dragLabel);

        dragLabel = new DragLabel("M Drag from here too", DnDConstants.ACTION_MOVE);
        dragLabel.setName("Drag Label 2");
        dragLabel.setBackground(Color.white);
        dragLabel.setOpaque(true);
        dragLabel.addMouseListener(new MyMouseListener());
        add(dragLabel);

        dragLabel = new DragLabel("CM Drag from here too", DnDConstants.ACTION_COPY_OR_MOVE);
        dragLabel.setName("Drag Label 3");
        dragLabel.setBackground(Color.white);
        dragLabel.setOpaque(true);
        dragLabel.addMouseListener(new MyMouseListener());
        add(dragLabel);

        DropLabel dropLabel = new DropLabel("C Drop here", DnDConstants.ACTION_COPY);
        dropLabel.setName("Drop Label 1");
        dropLabel.setBackground(Color.yellow);
        dropLabel.setOpaque(true);
        dragLabel.addMouseListener(new MyMouseListener());
        add(dropLabel);

        dropLabel = new DropLabel("M Drop here also", DnDConstants.ACTION_MOVE);
        dropLabel.setName("Drop Label 2");
        dropLabel.setBackground(Color.yellow);
        dropLabel.setOpaque(true);
        dragLabel.addMouseListener(new MyMouseListener());
        add(dropLabel);

        dropLabel = new DropLabel("CM Drop here also", DnDConstants.ACTION_COPY_OR_MOVE);
        dropLabel.setName("Drop Label 3");
        dropLabel.setBackground(Color.yellow);
        dropLabel.setOpaque(true);
        dragLabel.addMouseListener(new MyMouseListener());
        add(dropLabel);
    }

    public static void main(String[] args) {
        JFrame frame = new JFrame();
        frame.setTitle("Drag and Drop test");
        Container cont = frame.getContentPane();
        cont.add(new DnDTest());
        frame.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        frame.setSize(300, 300);
        frame.setLocation(100, 100);
        frame.setVisible(true);
    }

    class MyMouseListener implements MouseListener {
        private void logIt(String message) {
            // commented out for now...
            //System.out.println(message);
        }
        /**
         * Invoked when the mouse has been clicked on a component.
         */
        public void mouseClicked(MouseEvent e) {
            logIt("mouseClicked: " + e.toString());
        }
        /**
         * Invoked when a mouse button has been pressed on a component.
         */
        public void mousePressed(MouseEvent e) {
            logIt("mousePressed: " + e.toString());
        }
        /**
         * Invoked when a mouse button has been released on a component.
         */
        public void mouseReleased(MouseEvent e) {
            logIt("mouseReleased: " + e.toString());
        }
        /**
         * Invoked when the mouse enters a component.
         */
        public void mouseEntered(MouseEvent e) {
            logIt("mouseEntered: " + e.toString());
        }
        /**
         * Invoked when the mouse exits a component.
         */
        public void mouseExited(MouseEvent e) {
            logIt("mouseExited: " + e.toString());
        }
    }
}